Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

update extlib version (closes #7796) #8028

Merged
merged 2 commits into from Mar 21, 2019

Conversation

@nadako
Copy link
Member

commented Mar 20, 2019

No description provided.

@Simn

This comment has been minimized.

Copy link
Member

commented Mar 20, 2019

I'm still seeing

Your request can't be satisfied:
  - No package matches extlib>=1.7.6.
@nadako

This comment has been minimized.

Copy link
Member Author

commented Mar 20, 2019

Well, FML :) @andyli please halp!

@nadako

This comment has been minimized.

Copy link
Member Author

commented Mar 20, 2019

At least MacOS installed the good version.

@andyli

This comment has been minimized.

Copy link
Member

commented Mar 21, 2019

That's because extlib 1.7.6 was published after opam 2 so it is only available from the opam 2 repo. I have to look into using opam 2 in Trusty...

andyli added a commit to andyli/haxe that referenced this pull request Mar 21, 2019

[TravisCI] use ppa:avsm/ppa to get opam 2
such that we can use newer libs (HaxeFoundation#8028)
@nadako

This comment has been minimized.

Copy link
Member Author

commented Mar 21, 2019

Ooh, I see now. And osx uses the latest opam already? Makes sense, thanks Andy!

andyli added a commit to andyli/haxe that referenced this pull request Mar 21, 2019

[TravisCI] use ppa:avsm/ppa to get opam 2
such that we can use newer libs (HaxeFoundation#8028)

andyli added a commit that referenced this pull request Mar 21, 2019

[TravisCI] use ppa:avsm/ppa to get opam 2
such that we can use newer libs (#8028)
@Simn

This comment has been minimized.

Copy link
Member

commented Mar 21, 2019

Could you rebase?

@andyli

This comment has been minimized.

Copy link
Member

commented Mar 21, 2019

I still have to upgrade opam for AppVeyor builds. Will try to do it tonight.

@andyli andyli force-pushed the extlib_upgrade branch from e8efec0 to 74614f0 Mar 21, 2019

@nadako nadako force-pushed the extlib_upgrade branch from 74614f0 to 23e2dee Mar 21, 2019

@nadako nadako merged commit cc693c5 into development Mar 21, 2019

2 of 4 checks passed

continuous-integration/appveyor/branch Waiting for AppVeyor build to complete
Details
continuous-integration/appveyor/pr Waiting for AppVeyor build to complete
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details

@nadako nadako deleted the extlib_upgrade branch Mar 21, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.